use harmony::{
    data::Version,
    maestro::Maestro,
    modules::lamp::{LAMPConfig, LAMPScore},
    topology::{K8sAnywhereTopology, Url},
};

#[tokio::main]
async fn main() {
    let lamp_stack = LAMPScore {
        name: "harmony-lamp-demo".to_string(),
        domain: Url::Url(url::Url::parse("https://lampdemo.harmony.nationtech.io").unwrap()),
        php_version: Version::from("8.4.4").unwrap(),
        config: LAMPConfig {
            project_root: "./php".into(),
            ..Default::default()
        },
    };

    let mut maestro = Maestro::<K8sAnywhereTopology>::load_from_env();
    maestro.register_all(vec![Box::new(lamp_stack)]);
    harmony_tui::init(maestro).await.unwrap();
}
